CVE-2020-16155

NameCVE-2020-16155
Descriptiondoes not uniquely define signed data
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libcpan-checksums-perl (PTS)buster, bullseye, stretch2.12-1vulnerable
bookworm2.13-1vulnerable
sid2.14-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libcpan-checksums-perlsource(unstable)(unfixed)

Notes

[bullseye] - libcpan-checksums-perl <no-dsa> (Minor issue)
[buster] - libcpan-checksums-perl <no-dsa> (Minor issue)
[stretch] - libcpan-checksums-perl <no-dsa> (Minor issue)
https://blog.hackeriet.no/cpan-signature-verification-vulnerabilities/
http://blogs.perl.org/users/neilb/2021/11/addressing-cpan-vulnerabilities-related-to-checksums.html

Search for package or bug name: Reporting problems